1. Esims
VeloConnect CPaaS API
  • VeloConnect
    • WhatsApp
      • Whatsapp-campaigns
        • Creates a new campaign
        • Returns campaigns
      • whatsapp-contact-lists
        • {id}
          • Contacts
            • Creates new contacts
            • Returns contacts
          • Whats App Partners Delete Whats App Contact List
        • Creates a new contact list
        • Returns contact lists
      • whatsapp-contacts
        • Updates contacts
        • Deletes contacts with specified Ids
      • whatsapp-templates
        • {id}
          • Deletes template
        • Creates new template
        • Returns templates
      • whatsapp-messages
        • Sends a message
      • whatsapp-conversations
        • {id}
          • messages
            • Returns conversation messages
        • Returns conversations
      • senders
        • Returns sender ids
    • GetRatePlanId
      • GetRatePlans
    • GetSenderIDList
      • Get senderId's list.
      • Get senderId's list.
    • SenderIDStatus
      • SenderId status.
      • SenderId status.
    • AddContact
      • Add contact to contact list.
      • Add contact to contact list.
    • DeleteContact
      • Delete contact to contact list.
      • Delete contact to contact list.
    • SendSMS
      • Webhook response body
      • Send SMS.
      • Send SMS.
    • SendSMSMulti
      • Send SMS multi.
      • Send SMS multi.
    • SMS Status
      • Property name values
      • Get SMS Details
      • Get SMS Details by Id
    • Verify
      • Send verification SMS.
      • Send verification SMS.
    • VerifyStatus
      • Verify OTP code.
      • Verify OTP code.
    • Viber Business Messaging
      • OTP
        • OTP Templates
          • Get OTP Templates
        • OTP Message
          • Send OTP
      • Viber Templates
        • Create template
        • Delete Template
        • Get Template
        • List templates
      • Campaign
        • New Campaign
        • Returns Campaigns
      • Contact Lists
        • New contact list
        • Returns contact lists
        • Deletes contact list with specified ID
        • New contact
        • Updates contacts
        • Delete contacts with specified IDs
        • Returns contacts
      • Conversations
        • Returns viber inbox conversations
        • Returns viber conversations messages
        • Sends a Viber message
      • Records
        • Returns the list of viber message data records
        • Returns viber message data record by ID
      • Summaries
        • Return messages summaries
      • Senders
        • Viber Senders
        • Viber Sender by id
    • Cascading
      • Calculate SMS Campaign Price
      • Create new cascading campaign
    • Account
      • CheckBalance
        • Check balance.
        • Check balance.
      • Rat Plans
        • Get Rate plans
      • Get whitelisted IPs
      • Add whitelisted IP
  • VeloPBX
    • Get CDR
      GET
  • VeloeSIM
    • Plans
      • getAllPlans
      • getOnePlan
    • Organizations
      • getMyOrganization
    • Orders
      • orderOne
    • Esims
      • getAllEsims
        GET
      • getOneEsim
        GET
      • getEsimTopUpPlans
        GET
      • topUpEsim
        POST
  • Schemas
    • Network
    • Area
    • AreaSimple
    • Plan
    • PlansListResponse
    • Organization
    • OrderRequest
    • TopUpRequest
    • AssignedPlan
    • Esim
    • EsimsListResponse
  1. Esims

getEsimTopUpPlans

GET
/api/wholesale/esims/{iccid}/top-up
Retrieve available top-up plans for an eSIM.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Successful response
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.veloconnect.me/api/wholesale/esims//top-up?limit=undefined&offset=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "count": 10,
    "rows": [
        {
            "id": 3035,
            "dataAmount": 1000,
            "duration": 7,
            "price": 3.66,
            "areas": [
                {
                    "id": 5,
                    "name": "Colombia",
                    "region": "South America",
                    "iso": "CO",
                    "networks": [
                        {
                            "name": "Colombia Mobil S.A.",
                            "brandName": "Tigo",
                            "mcc": "732",
                            "mnc": "103",
                            "tagid": "COLCO",
                            "speed": [
                                "2G",
                                "3G",
                                "4G"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-05-19 08:43:05
Previous
getOneEsim
Next
topUpEsim
Built with